using System.Collections;
using CommunityServer.Components;

namespace CommunityServer.RollerBlogs.Components
{
    public class RollerBlogPosts
    {
        /// <summary>
        /// Private. Can not be instantiated
        /// </summary>
        private RollerBlogPosts() { }
        
        /// <summary>
        /// adds the specifed post to the list of known posts
        /// </summary>
        /// <param name="post"></param>
        public static void AddPost(RollerBlogPost post)
        {
            RollerBlogsDataProvider.Instance().AddRollerBlogPost(post);
        }

        /// <summary>
        /// updates the specifed post to the list of known posts
        /// </summary>
        /// <param name="post"></param>
        public static void UpdatePost(RollerBlogPost post)
        {
            RollerBlogsDataProvider.Instance().UpdateRollerBlogPost(post);
        }

    }
}